import { Hono } from "hono";
import { Home } from "@blog/templates/Pages/Home";
import { PostMeta } from "@blog/models/PostMeta";
import { Post } from '@blog/models/Post';
import { PostFileService } from '@blog/services/post-file';

type Posts = {
  postService: PostFileService
};

const app = new Hono<{ Variables: Posts }>();

app.get("/", async (c) => {
  const postService: PostFileService = c.get('postService');
  const posts = postService.getPosts();
  const postList: PostMeta[] = Array.from(posts.values()).map((p: Post) => p.meta);

  return c.render(<Home posts={postList} />, {
    meta: {
      description: "The blog for Dave Smith-Hayes, a dad and developer.",
    },
  });
});

export default app;
