import { Post } from '@blog/models/Post';
import { db } from '@blog/services/database';

export class PostRepository {
  public async getPost(id: number): Promise<Post> {
    const queryString = `
SELECT title, slug, is_draft, description, published_date, raw_content
FROM posts
WHERE id = $id
`;
    const query = db.query(queryString);
    const results = query.get({ $id: id });

    return {
      meta: {
        title: results.title,
        slug: results.slug,
        description: results.description,
        date: new Date(results.published_date),
        draft: results.is_draft,
      },
      content: results.raw_content,
    }
  }

  public async getPostBySlug(slug: string): Post {

  }
}
